unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.ComCtrls, scControls, Vcl.StdCtrls,
  scStyledForm, System.ImageList, Vcl.ImgList, Vcl.VirtualImageList,
  Vcl.BaseImageCollection, Vcl.ImageCollection, scStyleManager;

type
  TForm1 = class(TForm)
    scLabel1: TscLabel;
    scComboBox1: TscComboBox;
    scCheckBox1: TscCheckBox;
    scLabel2: TscLabel;
    scComboBox2: TscComboBox;
    scCheckBox2: TscCheckBox;
    scCheckBox3: TscCheckBox;
    scLabel3: TscLabel;
    scComboBox3: TscComboBox;
    scListView1: TscListView;
    scTreeView1: TscTreeView;
    scCheckBox5: TscCheckBox;
    scCheckBox6: TscCheckBox;
    scCheckBox7: TscCheckBox;
    scCheckBox9: TscCheckBox;
    scCheckBox4: TscCheckBox;
    scCheckBox10: TscCheckBox;
    scCheckBox11: TscCheckBox;
    scLabel4: TscLabel;
    scLabel5: TscLabel;
    scStyledForm1: TscStyledForm;
    ImageCollection1: TImageCollection;
    VirtualImageList1: TVirtualImageList;
    VirtualImageList2: TVirtualImageList;
    VirtualImageList3: TVirtualImageList;
    scStatusBar1: TscStatusBar;
    scStyleManager1: TscStyleManager;
    procedure scCheckBox3Click(Sender: TObject);
    procedure scCheckBox2Click(Sender: TObject);
    procedure scCheckBox10Click(Sender: TObject);
    procedure scCheckBox11Click(Sender: TObject);
    procedure scCheckBox1Click(Sender: TObject);
    procedure scCheckBox4Click(Sender: TObject);
    procedure scCheckBox5Click(Sender: TObject);
    procedure scCheckBox6Click(Sender: TObject);
    procedure scCheckBox7Click(Sender: TObject);
    procedure scCheckBox9Click(Sender: TObject);
    procedure scComboBox2Change(Sender: TObject);
    procedure scComboBox3Change(Sender: TObject);
    procedure scComboBox1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.scCheckBox10Click(Sender: TObject);
begin
  scTreeView1.CheckHierarchy := scCheckBox10.Checked;
end;

procedure TForm1.scCheckBox11Click(Sender: TObject);
begin
  scListView1.ExtendedColumnDraw := scCheckBox11.Checked;
end;

procedure TForm1.scCheckBox1Click(Sender: TObject);
begin
  scTreeView1.ShowFocusRect := scCheckBox1.Checked;
  scListView1.ShowFocusRect := scCheckBox1.Checked;
end;

procedure TForm1.scCheckBox2Click(Sender: TObject);
begin
  scTreeView1.ShowLines := scCheckBox2.Checked;
end;

procedure TForm1.scCheckBox3Click(Sender: TObject);
begin
  if scCheckBox3.Checked then
  begin
    scTreeView1.ButtonImages := VirtualImageList3;
    scTreeView1.ButtonCollapseImageIndex := 0;
    scTreeView1.ButtonExpandImageIndex := 1;
  end
  else
  begin
    scTreeView1.ButtonImages := nil;
    scTreeView1.ButtonCollapseImageIndex := -1;
    scTreeView1.ButtonExpandImageIndex := -1;
  end;
end;

procedure TForm1.scCheckBox4Click(Sender: TObject);
begin
  scListView1.Checkboxes := scCheckBox4.Checked;
  scTreeView1.Checkboxes := scCheckBox4.Checked;
end;

procedure TForm1.scCheckBox5Click(Sender: TObject);
begin
  scListView1.GridLines := scCheckBox5.Checked;
end;

procedure TForm1.scCheckBox6Click(Sender: TObject);
begin
  scListView1.AlternateRow := scCheckBox6.Checked;
end;

procedure TForm1.scCheckBox7Click(Sender: TObject);
begin
  scListView1.RowSelect := scCheckBox7.Checked;
end;

procedure TForm1.scCheckBox9Click(Sender: TObject);
begin
 if scCheckBox9.Checked then
  begin
    scTreeView1.Font.Color := $00FFFFD7;
    scTreeView1.StyleElements := scTreeView1.StyleElements - [seClient, seFont];
    scTreeView1.ButtonColor := $004080FF;
    scTreeView1.ButtonGlyphColor := $00804000;
    scTreeView1.Color := $00804000;
    scTreeView1.SelectionColor := $00B8FF9F;
    scTreeView1.SelectionTextColor := $00804000;
    scTreeView1.SelectionStyle := scstColor;
    scTreeView1.FullRedraw;
    scListView1.StyleElements := scTreeView1.StyleElements - [seClient, seFont];
    scListView1.Font.Color := $00FFFFD7;
    scListView1.Color := $00804000;
    scListView1.SelectionColor := $00B8FF9F;
    scListView1.SelectionTextColor := $00804000;
    scListView1.SelectionStyle := scstColor;
    scListView1.FullRedraw;
  end
  else
  begin
    scTreeView1.StyleElements := scTreeView1.StyleElements + [seClient, seFont];
    scTreeView1.Font.Color := clWindowText;
    scTreeView1.ButtonColor := clNone;
    scTreeView1.Color := clWindow;
    scTreeView1.SelectionColor := clNone;
    scTreeView1.SelectionTextColor := clHighLightText;
    scTreeView1.SelectionStyle := TscSelectionStyle(scComboBox1.ItemIndex);
    scTreeView1.FullRedraw;
    scListView1.StyleElements := scTreeView1.StyleElements + [seClient, seFont];
    scListView1.Font.Color := clWindowText;
    scListView1.Color := clWindow;
    scListView1.SelectionColor := clNone;
    scListView1.SelectionTextColor := clHighLightText;
    scListView1.SelectionStyle := TscSelectionStyle(scComboBox1.ItemIndex);
    scListView1.FullRedraw;
  end;
end;

procedure TForm1.scComboBox1Change(Sender: TObject);
begin
  if not scCheckBox9.Checked then
  begin
    scTreeView1.SelectionStyle := TscSelectionStyle(scComboBox1.ItemIndex);
    scListView1.SelectionStyle := TscSelectionStyle(scComboBox1.ItemIndex);
  end;
end;

procedure TForm1.scComboBox2Change(Sender: TObject);
begin
  scTreeView1.ButtonStyle := TscExpandButtonStyle(scComboBox2.ItemIndex);
end;

procedure TForm1.scComboBox3Change(Sender: TObject);
begin
  scListView1.ViewStyle := TViewStyle(scComboBox3.ItemIndex);
  scListView1.Arrange(arDefault);
end;

end.
